// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_ABSTRACT_INSTANCE({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M21.71,11l-4-7A2,2,0,0,0,16,3H8A2,2,0,0,0,6.3,4l-4,7a2,2,0,0,0,0,2l4,7A2,2,0,0,0,8,21H16a2,2,0,0,0,1.74-1l4-7A2,2,0,0,0,21.71,11ZM12,14a2,2,0,1,1,2-2A2,2,0,0,1,12,14Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M21.73206,10.99994l-4-7a2.00023,2.00023,0,0,0-1.74-1h-8a2.00025,2.00025,0,0,0-1.71,1l-4,7a2.00012,2.00012,0,0,0,0,2l4,7a2,2,0,0,0,1.71,1h8a2,2,0,0,0,1.74-1l4-7A2.00017,2.00017,0,0,0,21.73206,10.99994ZM16,19H8L4,12,8,5h8l4,7Z" }),
                React.createElement("circle", { cx: "12", cy: "12", r: "2" }))));
}
;
export default EOS_ABSTRACT_INSTANCE;
