// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_APPLICATION_INSTANCE({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M1,6V20a2.00061,2.00061,0,0,0,2,2H21a2.00641,2.00641,0,0,0,2-2.00672V6ZM9,19l.0025-4.50208L9,10l7,4.5Z" }),
                React.createElement("path", { d: "M1.00925,3.00749,1,5H23l-.00908-1.99251A1.99986,1.99986,0,0,0,21,1H3A1.99971,1.99971,0,0,0,1.00925,3.00749ZM4.00669,4.00758a.99917.99917,0,1,1,.99916-.99917A.99919.99919,0,0,1,4.00669,4.00758Zm2.99756-.00092a.99917.99917,0,1,1,.99917-.99916A1.00212,1.00212,0,0,1,7.00425,4.00666Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M1,3V5H23V3a2.00118,2.00118,0,0,0-2-2H3A2.00118,2.00118,0,0,0,1,3ZM4,4a.98705.98705,0,0,1-.99254-.99159A1.00144,1.00144,0,0,1,4,2,1.01282,1.01282,0,0,1,5.00585,3.00841.99847.99847,0,0,1,4,4ZM7,4A1,1,0,1,1,8,3,1.00355,1.00355,0,0,1,7,4Z" }),
                React.createElement("path", { d: "M1,6V20a2.0006,2.0006,0,0,0,2,2H21a2.00068,2.00068,0,0,0,2-2V6ZM21,20H3V8H21Z" }),
                React.createElement("polygon", { points: "9 10 9 18 16 14 9 10" }))));
}
;
export default EOS_APPLICATION_INSTANCE;
