// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_CONTENT_DELETED({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M19,19H5V5h6V3H5A2.00588,2.00588,0,0,0,3,5V19a2.00588,2.00588,0,0,0,2,2H19a2.00588,2.00588,0,0,0,2-2V15H19Z" }),
                React.createElement("path", { d: "M15,5h6a0,0,0,0,1,0,0v6a1,1,0,0,1-1,1H16a1,1,0,0,1-1-1V5A0,0,0,0,1,15,5Z" }),
                React.createElement("polygon", { points: "22 3 20 3 19.429 2 16.571 2 16 3 14 3 14 4 22 4 22 3" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M19,19H5V5h6V3H5A2.00588,2.00588,0,0,0,3,5V19a2.00588,2.00588,0,0,0,2,2H19a2.00588,2.00588,0,0,0,2-2V15H19Z" }),
                React.createElement("path", { d: "M15,5h6a0,0,0,0,1,0,0v6a1,1,0,0,1-1,1H16a1,1,0,0,1-1-1V5A0,0,0,0,1,15,5Z" }),
                React.createElement("polygon", { points: "22 3 20 3 19.429 2 16.571 2 16 3 14 3 14 4 22 4 22 3" }))));
}
;
export default EOS_CONTENT_DELETED;
