// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_ENHANCEMENT({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("rect", { x: "2.02", y: "13.99", width: "4", height: "8.02" }),
                React.createElement("rect", { x: "9.02", y: "10.02", width: "4", height: "11.99" }),
                React.createElement("polygon", { points: "22 6 18 2 14 6 16 6 16 22.02 20 22.02 20 6 22 6" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("rect", { x: "2.02", y: "13.99", width: "4", height: "8.02" }),
                React.createElement("rect", { x: "9.02", y: "10.02", width: "4", height: "11.99" }),
                React.createElement("polygon", { points: "22 6 18 2 14 6 16 6 16 22.02 20 22.02 20 6 22 6" }))));
}
;
export default EOS_ENHANCEMENT;
