// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_INSTALLING_ANIMATED({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
        React.createElement("path", { className: "st0", d: "M4,16h4v4H4V16z" },
            React.createElement("animate", { accumulate: "none", additive: "replace", attributeName: "opacity", begin: ".2", calcMode: "linear", dur: "3s", fill: "remove", keyTimes: "0;0.9;1", repeatCount: "indefinite", restart: "always", values: "1;0;0" })),
        React.createElement("path", { className: "st0", d: "M10,16h4v4h-4V16z" },
            React.createElement("animate", { accumulate: "none", additive: "replace", attributeName: "opacity", begin: ".4", calcMode: "linear", dur: "3s", fill: "remove", keyTimes: "0;0.9;1", repeatCount: "indefinite", restart: "always", values: "1;0;0" })),
        React.createElement("path", { className: "st0", d: "M16,16h4v4h-4V16z" },
            React.createElement("animate", { accumulate: "none", additive: "replace", attributeName: "opacity", begin: ".6", calcMode: "linear", dur: "3s", fill: "remove", keyTimes: "0;0.9;1", repeatCount: "indefinite", restart: "always", values: "1;0;0" })),
        React.createElement("path", { className: "st0", d: "M4,10h4v4H4V10z" },
            React.createElement("animate", { accumulate: "none", additive: "replace", attributeName: "opacity", begin: ".8", calcMode: "linear", dur: "3s", fill: "remove", keyTimes: "0;0.9;1", repeatCount: "indefinite", restart: "always", values: "1;0;0" })),
        React.createElement("path", { className: "st0", d: "M10,10h4v4h-4V10z" },
            React.createElement("animate", { accumulate: "none", additive: "replace", attributeName: "opacity", begin: "1", calcMode: "linear", dur: "3s", fill: "remove", keyTimes: "0;0.9;1", repeatCount: "indefinite", restart: "always", values: "1;0;0" })),
        React.createElement("path", { className: "st0", d: "M16,10h4v4h-4V10z" },
            React.createElement("animate", { accumulate: "none", additive: "replace", attributeName: "opacity", begin: "1.2", calcMode: "linear", dur: "3s", fill: "remove", keyTimes: "0;0.9;1", repeatCount: "indefinite", restart: "always", values: "1;0;0" })),
        React.createElement("path", { className: "st0", d: "M4,4h4v4H4V4z" },
            React.createElement("animate", { accumulate: "none", additive: "replace", attributeName: "opacity", begin: "1.4", calcMode: "linear", dur: "3s", fill: "remove", keyTimes: "0;0.9;1", repeatCount: "indefinite", restart: "always", values: "1;0;0" })),
        React.createElement("path", { className: "st0", d: "M10,4h4v4h-4V4z" },
            React.createElement("animate", { accumulate: "none", additive: "replace", attributeName: "opacity", begin: "1.6", calcMode: "linear", dur: "3s", fill: "remove", keyTimes: "0;0.9;1", repeatCount: "indefinite", restart: "always", values: "1;0;0" })),
        React.createElement("path", { className: "st0", d: "M16,4h4v4h-4V4z" },
            React.createElement("animate", { accumulate: "none", additive: "replace", attributeName: "opacity", begin: "1.8", calcMode: "linear", dur: "3s", fill: "remove", keyTimes: "0;0.9;1", repeatCount: "indefinite", restart: "always", values: "1;0;0" }))));
}
;
export default EOS_INSTALLING_ANIMATED;
