// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_JOB({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M19,16.28V11l3-3L18,4,15,7H8V6h3V2H3V6H6v6H3v4H6v3H6v2h4.28A2,2,0,0,0,12,22a2,2,0,1,0-1.72-3H8V16h3V12H8V9h7l2,2v5.27a2,2,0,1,0,2,0ZM4,5V3h6V5Zm8,14a1,1,0,1,1-1,1h0A1,1,0,0,1,12,19Zm-2-6v2H4V13Zm8-7.59L20.59,8,18,10.59,15.41,8ZM18,19a1,1,0,1,1,1-1A1,1,0,0,1,18,19Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M19,16.28V11l3-3L18,4,15,7H8V6h3V2H3V6H6v6H3v4H6v3H6v2h4.28A2,2,0,0,0,12,22a2,2,0,1,0-1.72-3H8V16h3V12H8V9h7l2,2v5.27a2,2,0,1,0,2,0ZM4,5V3h6V5Zm8,14a1,1,0,1,1-1,1h0A1,1,0,0,1,12,19Zm-2-6v2H4V13Zm8-7.59L20.59,8,18,10.59,15.41,8ZM18,19a1,1,0,1,1,1-1A1,1,0,0,1,18,19Z" }))));
}
;
export default EOS_JOB;
