// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_PACKAGES({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("polygon", { points: "20.04 6.01 4.04 6.01 4.04 8.01 7.53 8.01 20.04 8.01 20.04 6.01" }),
                React.createElement("polygon", { points: "18.02 2.01 6.01 2.01 6.01 4.01 8.63 4.01 18.02 4.01 18.02 2.01" }),
                React.createElement("path", { d: "M2,10v2H4v8a2,2,0,0,0,2,2H18a2,2,0,0,0,2-2V12h2V10Zm9,9H6V17h5Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, id: "Layer_1", "data-name": "Layer 1", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("rect", { x: "4", y: "6", width: "16", height: "2" }),
                React.createElement("rect", { x: "6", y: "2", width: "12", height: "2" }),
                React.createElement("path", { d: "M2,10v2H4v8a2.00288,2.00288,0,0,0,2,2H18a2.00594,2.00594,0,0,0,2.00352-2L20,12h2V10ZM18,20H6V12H18Z" }),
                React.createElement("rect", { x: "8", y: "17", width: "4", height: "2" }))));
}
;
export default EOS_PACKAGES;
