// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_READ_MORE({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("rect", { height: "2", width: "9", x: "13", y: "7" }),
                React.createElement("rect", { height: "2", width: "9", x: "13", y: "15" }),
                React.createElement("rect", { height: "2", width: "6", x: "16", y: "11" }),
                React.createElement("polygon", { points: "13,12 8,7 8,11 2,11 2,13 8,13 8,17" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("rect", { height: "2", width: "9", x: "13", y: "7" }),
                React.createElement("rect", { height: "2", width: "9", x: "13", y: "15" }),
                React.createElement("rect", { height: "2", width: "6", x: "16", y: "11" }),
                React.createElement("polygon", { points: "13,12 8,7 8,11 2,11 2,13 8,13 8,17" }))));
}
;
export default EOS_READ_MORE;
