// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_REPLICA_SET({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M21,13H15a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V15A2,2,0,0,0,21,13Zm0,8H15V15h6ZM16,7v4H14V7H8v6h3v2H8a2,2,0,0,1-2-2V7A2,2,0,0,1,8,5h6A2,2,0,0,1,16,7ZM4.00259,8.99756h-2V3.00244a1.99991,1.99991,0,0,1,2-2H9.99741v2H4.00259Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M21,13H15a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V15A2,2,0,0,0,21,13Zm0,8H15V15h6ZM16,7v4H14V7H8v6h3v2H8a2,2,0,0,1-2-2V7A2,2,0,0,1,8,5h6A2,2,0,0,1,16,7ZM4.00259,8.99756h-2V3.00244a1.99991,1.99991,0,0,1,2-2H9.99741v2H4.00259Z" }))));
}
;
export default EOS_REPLICA_SET;
