// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_ROLE_BINDING({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M15,21H13a2,2,0,0,1,0-4h2V15H13a4,4,0,0,0,0,8h2Z" }),
                React.createElement("path", { d: "M23,19a4,4,0,0,1-4,4H17V21h2a2,2,0,0,0,0-4H17V15h2A4,4,0,0,1,23,19Z" }),
                React.createElement("rect", { x: "14", y: "18", width: "4", height: "2" }),
                React.createElement("path", { d: "M7,19a5.98867,5.98867,0,0,1,.09033-1H3V16.6c0-2,4-3.1,6-3.1a8.54825,8.54825,0,0,1,1.35083.12463A5.95435,5.95435,0,0,1,13,13h5V4a2.00587,2.00587,0,0,0-2-2H11.82A2.98811,2.98811,0,0,0,6.18,2H2A2.00587,2.00587,0,0,0,0,4V18a2.00591,2.00591,0,0,0,2,2H7.09033A5.98867,5.98867,0,0,1,7,19ZM9,2A1,1,0,1,1,8,3,1.003,1.003,0,0,1,9,2ZM9,6A3,3,0,1,1,6,9,2.996,2.996,0,0,1,9,6Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M23,19a4,4,0,0,1-4,4H17V21h2a2,2,0,0,0,0-4H17V15h2A4,4,0,0,1,23,19Z" }),
                React.createElement("path", { d: "M9,19a4,4,0,0,1,4-4h2v2H13a2,2,0,0,0,0,4h2v2H13A4,4,0,0,1,9,19Z" }),
                React.createElement("rect", { x: "14", y: "18", width: "4", height: "2" }),
                React.createElement("path", { d: "M9,5a3,3,0,1,0,3,3A3.00879,3.00879,0,0,0,9,5ZM9,9a1,1,0,1,1,1-1A1.003,1.003,0,0,1,9,9Z" }),
                React.createElement("path", { d: "M5.31,15A7.01113,7.01113,0,0,1,9,13.88a5.641,5.641,0,0,1,.77789.06415A5.96518,5.96518,0,0,1,13,13h.25433A9.39757,9.39757,0,0,0,9,11.89c-2.03,0-6,1.07-6,3.58V17H7.34875a5.98581,5.98581,0,0,1,1.18812-2Z" }),
                React.createElement("path", { d: "M16,2H11.82A2.98811,2.98811,0,0,0,6.18,2H2A2.00587,2.00587,0,0,0,0,4V18a2.00591,2.00591,0,0,0,2,2H7.14142a3.60628,3.60628,0,0,1,0-2H2V4H16v9h2V4A2.00587,2.00587,0,0,0,16,2ZM9,3.25a.7555.7555,0,0,1-.75-.75.75007.75007,0,0,1,1.5,0A.7555.7555,0,0,1,9,3.25Z" }))));
}
;
export default EOS_ROLE_BINDING;
