// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_STORAGE_CLASS({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M22,4H2V8H22ZM6,7H4V5H6Z" }),
                React.createElement("path", { d: "M20.6,14.8A2.08754,2.08754,0,0,0,19,14H11.99792A.9979.9979,0,0,0,11,14.99786v6.00422A.99791.99791,0,0,0,11.99792,22H19a1.8163,1.8163,0,0,0,1.6-.8L23,18Z" }),
                React.createElement("path", { d: "M11.998,12H19a4.07519,4.07519,0,0,1,3,1.38965V10H2v4H9.18372A2.99286,2.99286,0,0,1,11.998,12ZM4,13V11H6v2Z" }),
                React.createElement("path", { d: "M9,16H2v4H9ZM4,19V17H6v2Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M23,18l-2.4,3.2A1.8163,1.8163,0,0,1,19,22H12a1.003,1.003,0,0,1-1-1V15a1.003,1.003,0,0,1,1-1h7a2.08754,2.08754,0,0,1,1.6.8Z" }),
                React.createElement("path", { d: "M21,6H3V2H21ZM2,1V7H22V1" }),
                React.createElement("rect", { x: "4", y: "3", width: "2", height: "2" }),
                React.createElement("polygon", { points: "3 14 3 10 21 10 21 13.33 22 14.667 22 9 2 9 2 15 9 15 9 14 3 14" }),
                React.createElement("rect", { x: "4", y: "11", width: "2", height: "2" }),
                React.createElement("rect", { x: "4", y: "19", width: "2", height: "2" }),
                React.createElement("polygon", { points: "3 22 3 18 9 18 9 17 2 17 2 23 9 23 9 22 3 22" }))));
}
;
export default EOS_STORAGE_CLASS;
