// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_TUNGSTEN({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("rect", { height: "3", width: "2", x: "11", y: "19" }),
                React.createElement("rect", { height: "2", width: "3", x: "2", y: "11" }),
                React.createElement("rect", { height: "2", width: "3", x: "19", y: "11" }),
                React.createElement("rect", { height: "3", transform: "matrix(0.7071 -0.7071 0.7071 0.7071 -7.6665 17.8014)", width: "1.99", x: "16.66", y: "16.66" }),
                React.createElement("rect", { height: "1.99", transform: "matrix(0.7071 -0.7071 0.7071 0.7071 -10.9791 9.8041)", width: "3", x: "4.85", y: "17.16" }),
                React.createElement("path", { d: "M15,8.02V3H9v5.02C7.79,8.94,7,10.37,7,12c0,2.76,2.24,5,5,5s5-2.24,5-5C17,10.37,16.21,8.94,15,8.02z M11,5h2v2.1 C12.68,7.04,12.34,7,12,7s-0.68,0.04-1,0.1V5z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("rect", { height: "3", width: "2", x: "11", y: "19" }),
                React.createElement("rect", { height: "2", width: "3", x: "2", y: "11" }),
                React.createElement("rect", { height: "2", width: "3", x: "19", y: "11" }),
                React.createElement("rect", { height: "3", transform: "matrix(0.7071 -0.7071 0.7071 0.7071 -7.6665 17.8014)", width: "1.99", x: "16.66", y: "16.66" }),
                React.createElement("rect", { height: "1.99", transform: "matrix(0.7071 -0.7071 0.7071 0.7071 -10.9791 9.8041)", width: "3", x: "4.85", y: "17.16" }),
                React.createElement("path", { d: "M15,8.02V3H9v5.02C7.79,8.94,7,10.37,7,12c0,2.76,2.24,5,5,5s5-2.24,5-5C17,10.37,16.21,8.94,15,8.02z M11,5h2v2.1 C12.68,7.04,12.34,7,12,7s-0.68,0.04-1,0.1V5z M12,15c-1.65,0-3-1.35-3-3s1.35-3,3-3c1.65,0,3,1.35,3,3S13.65,15,12,15z" }))));
}
;
export default EOS_TUNGSTEN;
