// GENERATED BY ./scripts/iconScript.ts
import * as React from 'react';
import { valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';
function EOS_WORKLOAD({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M4,6H2V20a2,2,0,0,0,2,2H18V20H4Z" }),
                React.createElement("rect", { x: "10", y: "10", width: "8", height: "2" }),
                React.createElement("rect", { x: "10", y: "13", width: "8", height: "2" }),
                React.createElement("polygon", { points: "13.47 4.99 11.16 4.99 10 7 11.16 9 13.47 9 14.63 7 13.47 4.99" }),
                React.createElement("path", { d: "M20,2H8A2,2,0,0,0,6,4V16a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V4A2,2,0,0,0,20,2Zm0,14H8V4H20Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M4,6H2V20a2,2,0,0,0,2,2H18V20H4Z" }),
                React.createElement("rect", { x: "10", y: "10", width: "8", height: "2" }),
                React.createElement("rect", { x: "10", y: "13", width: "8", height: "2" }),
                React.createElement("polygon", { points: "13.47 4.99 11.16 4.99 10 7 11.16 9 13.47 9 14.63 7 13.47 4.99" }),
                React.createElement("path", { d: "M20,2H8A2,2,0,0,0,6,4V16a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V4A2,2,0,0,0,20,2Zm0,14H8V4H20Z" }))));
}
;
export default EOS_WORKLOAD;
