"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_ADD_ROAD({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("polygon", { points: "20,18 20,15 18,15 18,18 15,18 15,20 18,20 18,23 20,23 20,20 23,20 23,18" }),
                React.createElement("rect", { height: "9", width: "2", x: "18", y: "4" }),
                React.createElement("rect", { height: "16", width: "2", x: "4", y: "4" }),
                React.createElement("rect", { height: "4", width: "2", x: "11", y: "4" }),
                React.createElement("rect", { height: "4", width: "2", x: "11", y: "10" }),
                React.createElement("rect", { height: "4", width: "2", x: "11", y: "16" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("polygon", { points: "20,18 20,15 18,15 18,18 15,18 15,20 18,20 18,23 20,23 20,20 23,20 23,18" }),
                React.createElement("rect", { height: "9", width: "2", x: "18", y: "4" }),
                React.createElement("rect", { height: "16", width: "2", x: "4", y: "4" }),
                React.createElement("rect", { height: "4", width: "2", x: "11", y: "4" }),
                React.createElement("rect", { height: "4", width: "2", x: "11", y: "10" }),
                React.createElement("rect", { height: "4", width: "2", x: "11", y: "16" }))));
}
;
exports.default = EOS_ADD_ROAD;
