"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_BUBBLE_LOADING_ANIMATED({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
        React.createElement("circle", { cx: "12", cy: "2", r: "0" },
            React.createElement("animate", { attributeName: "r", values: "0;2;0;0", dur: "1s", repeatCount: "indefinite", begin: "0", keySplines: "0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8", calcMode: "spline" })),
        React.createElement("circle", { transform: "rotate(45 12 12)", cx: "12", cy: "2", r: "0" },
            React.createElement("animate", { attributeName: "r", values: "0;2;0;0", dur: "1s", repeatCount: "indefinite", begin: "0.125s", keySplines: "0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8", calcMode: "spline" })),
        React.createElement("circle", { transform: "rotate(90 12 12)", cx: "12", cy: "2", r: "0" },
            React.createElement("animate", { attributeName: "r", values: "0;2;0;0", dur: "1s", repeatCount: "indefinite", begin: "0.25s", keySplines: "0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8", calcMode: "spline" })),
        React.createElement("circle", { transform: "rotate(135 12 12)", cx: "12", cy: "2", r: "0" },
            React.createElement("animate", { attributeName: "r", values: "0;2;0;0", dur: "1s", repeatCount: "indefinite", begin: "0.375s", keySplines: "0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8", calcMode: "spline" })),
        React.createElement("circle", { transform: "rotate(180 12 12)", cx: "12", cy: "2", r: "0" },
            React.createElement("animate", { attributeName: "r", values: "0;2;0;0", dur: "1s", repeatCount: "indefinite", begin: "0.5s", keySplines: "0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8", calcMode: "spline" })),
        React.createElement("circle", { transform: "rotate(225 12 12)", cx: "12", cy: "2", r: "0" },
            React.createElement("animate", { attributeName: "r", values: "0;2;0;0", dur: "1s", repeatCount: "indefinite", begin: "0.625s", keySplines: "0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8", calcMode: "spline" })),
        React.createElement("circle", { transform: "rotate(270 12 12)", cx: "12", cy: "2", r: "0" },
            React.createElement("animate", { attributeName: "r", values: "0;2;0;0", dur: "1s", repeatCount: "indefinite", begin: "0.75s", keySplines: "0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8", calcMode: "spline" })),
        React.createElement("circle", { transform: "rotate(315 12 12)", cx: "12", cy: "2", r: "0" },
            React.createElement("animate", { attributeName: "r", values: "0;2;0;0", dur: "1s", repeatCount: "indefinite", begin: "0.875s", keySplines: "0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8", calcMode: "spline" }))));
}
;
exports.default = EOS_BUBBLE_LOADING_ANIMATED;
