"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_CRITICAL_BUG({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M20,8H17.2a6,6,0,0,0-1.82-2L17,4.41,15.6,3,13.43,5.17A6.07,6.07,0,0,0,12,5a5.92,5.92,0,0,0-1.41.17L8.42,3,7,4.41,8.63,6A6.06,6.06,0,0,0,6.82,8H4v2H6.1A6.64,6.64,0,0,0,6,11v1H4v2H6v1a6.64,6.64,0,0,0,.09,1H4v2H6.82A6,6,0,0,0,17.2,18H20V16H17.92A6.64,6.64,0,0,0,18,15V14h2V12H18V11a6.64,6.64,0,0,0-.09-1H20ZM13,18H11V16h2Zm0-4H11V8h2Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("rect", { x: "11", y: "15", width: "2", height: "2" }),
                React.createElement("rect", { x: "11", y: "9", width: "2", height: "5" }),
                React.createElement("path", { d: "M20,8H17.19a5.9847,5.9847,0,0,0-1.82-1.96L17,4.41,15.59,3,13.42,5.17A6.06615,6.06615,0,0,0,12,5a5.91855,5.91855,0,0,0-1.41.17L8.41,3,7,4.41,8.62,6.04A6.06213,6.06213,0,0,0,6.81,8H4v2H6.09A6.63061,6.63061,0,0,0,6,11v1H4v2H6v1a6.632,6.632,0,0,0,.09,1H4v2H6.81a5.98935,5.98935,0,0,0,10.38,0H20V16H17.91A6.632,6.632,0,0,0,18,15V14h2V12H18V11a6.63061,6.63061,0,0,0-.09-1H20Zm-4,4v3a4.26044,4.26044,0,0,1-.07.7l-.1.65-.37.65a3.99293,3.99293,0,0,1-6.92,0l-.37-.64-.1-.65A4.2713,4.2713,0,0,1,8,15V11a4.05253,4.05253,0,0,1,.07-.7l.1-.65L8.54,9A4.09991,4.09991,0,0,1,9.75,7.69l.57-.39.74-.18A3.78573,3.78573,0,0,1,12,7a3.86454,3.86454,0,0,1,.95.12l.68.16.61.42a3.89422,3.89422,0,0,1,1.21,1.31l.38.65.1.65A4.03771,4.03771,0,0,1,16,11Z" }))));
}
;
exports.default = EOS_CRITICAL_BUG;
