"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_DATA_MINING({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M14.40347,8.69015A7.10923,7.10923,0,0,0,11.05454,4.473l-.86825-.49614.49614-.86824L8.946,2.11631l-.49614.86825L4.97683,1,3.98456,2.73649,7.45753,4.721l-.49614.86825L5.96911,7.32577,2,14.27172l1.73649.99227L7.7056,8.31805l.99228-1.73649L9.194,5.71332l.86825.49614Z" }),
                React.createElement("path", { d: "M10,10v3H22V10Zm11,2H17V11h4Z" }),
                React.createElement("path", { d: "M10,15v3H22V15Zm11,2H17V16h4Z" }),
                React.createElement("path", { d: "M10,20v3H22V20Zm11,2H17V21h4Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M14.40347,8.69015A7.10923,7.10923,0,0,0,11.05454,4.473l-.86825-.49614.49614-.86824L8.946,2.11631l-.49614.86825L4.97683,1,3.98456,2.73649,7.45753,4.721l-.49614.86825L5.96911,7.32577,2,14.27172l1.73649.99227L7.7056,8.31805l.99228-1.73649L9.194,5.71332l.86825.49614Z" }),
                React.createElement("path", { d: "M10,10v3H22V10Zm11,2H17V11h4Z" }),
                React.createElement("path", { d: "M10,15v3H22V15Zm11,2H17V16h4Z" }),
                React.createElement("path", { d: "M10,20v3H22V20Zm11,2H17V21h4Z" }))));
}
;
exports.default = EOS_DATA_MINING;
