"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_EXTENSION_OFF({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M19.78,22.61l-1.63-1.63C18.1,20.98,18.05,21,18,21h-3.8c0-2.71-2.16-3-2.7-3s-2.7,0.29-2.7,3H5c-1.1,0-2-0.9-2-2v-3.8 c2.71,0,3-2.16,3-2.7c0-0.54-0.3-2.7-2.99-2.7V6c0-0.05,0.02-0.09,0.02-0.14L1.39,4.22l1.41-1.41l18.38,18.38L19.78,22.61z M20,17.17V15c1.38,0,2.5-1.12,2.5-2.5S21.38,10,20,10V6c0-1.1-0.9-2-2-2h-4c0-1.38-1.12-2.5-2.5-2.5S9,2.62,9,4H6.83L20,17.17z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M1.39,4.22l1.62,1.62c0,0.05-0.01,0.1-0.01,0.16v3.8C5.7,9.8,6,11.96,6,12.5c0,0.54-0.29,2.7-3,2.7V19c0,1.1,0.9,2,2,2h3.8 c0-2.71,2.16-3,2.7-3c0.54,0,2.7,0.29,2.7,3H18c0.06,0,0.11,0,0.16-0.01l1.61,1.61l1.41-1.41L2.81,2.81L1.39,4.22z M11.5,16 c-1.5,0-3.57,0.83-4.37,3H5v-2.13c2.17-0.8,3-2.87,3-4.37c0-0.69-0.18-1.5-0.58-2.25l6.33,6.33C13,16.18,12.19,16,11.5,16z M8.83,6 l-2-2H9c0-1.38,1.12-2.5,2.5-2.5S14,2.62,14,4h4c1.1,0,2,0.9,2,2v4c1.38,0,2.5,1.12,2.5,2.5S21.38,15,20,15v2.17l-2-2V13h2 c0.28,0,0.5-0.22,0.5-0.5S20.28,12,20,12h-2V6h-6V4c0-0.28-0.22-0.5-0.5-0.5S11,3.72,11,4v2H8.83z" }))));
}
;
exports.default = EOS_EXTENSION_OFF;
