"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_MODIFIED_DATE({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M20,3H19V1H17V3H7V1H5V3H4A2,2,0,0,0,2,5V21a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V5A2,2,0,0,0,20,3ZM7.53,21H4V17.47l9.41-9.41,3.53,3.53ZM19.72,8.81l-1.84,1.84L14.35,7.12,16.2,5.28a.92.92,0,0,1,1.32,0l2.2,2.2A.94.94,0,0,1,19.72,8.81Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M13.37231,11.01333l.61325.61334-6.03916,6.04H7.33315v-.61334l6.03916-6.04M15.772,7a.66725.66725,0,0,0-.46661.19333l-1.21983,1.22,2.49966,2.5,1.21983-1.22a.664.664,0,0,0,0-.94l-1.55979-1.56A.65453.65453,0,0,0,15.772,7ZM13.37231,9.12667,6,16.5V19H8.49965L15.872,11.62667Z" }),
                React.createElement("path", { d: "M19,1H17V3H7V1H5V3H4A2,2,0,0,0,2,5V21a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V5a2,2,0,0,0-2-2H19V1ZM4,21V5H20V21Z" }))));
}
;
exports.default = EOS_MODIFIED_DATE;
