"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_PIPELINE({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M9,9v1H5V4H6V2H1V4H2v7a2,2,0,0,0,2,2H9v1h2V9Z" }),
                React.createElement("path", { d: "M22,20V12a2,2,0,0,0-2-2H15V9H13v5h2V13h4v7H18v2h5V20Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M22,20V12a2,2,0,0,0-2-2H15V9H13v6h2V14h3v6H17v2h6V20Zm-1,0H19V13H15V11h5a1,1,0,0,1,1,1Z" }),
                React.createElement("path", { d: "M9,9v1H6V4H7V2H1V4H2v8a2,2,0,0,0,2,2H9v1h2V9Zm0,4H4a1,1,0,0,1-1-1V4H5v7H9Z" }))));
}
;
exports.default = EOS_PIPELINE;
