"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_PRODUCTS({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M7,2H3A1,1,0,0,0,2,3V21a1,1,0,0,0,1,1H7a1,1,0,0,0,1-1V3A1,1,0,0,0,7,2ZM5,21a2,2,0,1,1,2-2A2,2,0,0,1,5,21Zm2-9H3V3H7ZM6,19a1,1,0,1,1-1-1A1,1,0,0,1,6,19ZM14,2H10A1,1,0,0,0,9,3V21a1,1,0,0,0,1,1h4a1,1,0,0,0,1-1V3A1,1,0,0,0,14,2ZM12,21a2,2,0,1,1,2-2A2,2,0,0,1,12,21Zm2-9H10V3h4Zm-1,7a1,1,0,1,1-1-1A1,1,0,0,1,13,19ZM21,2H17a1,1,0,0,0-1,1V21a1,1,0,0,0,1,1h4a1,1,0,0,0,1-1V3A1,1,0,0,0,21,2ZM19,21a2,2,0,1,1,2-2A2,2,0,0,1,19,21Zm2-9H17V3h4Zm-1,7a1,1,0,1,1-1-1A1,1,0,0,1,20,19Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("circle", { cx: "5", cy: "19", r: "1" }),
                React.createElement("rect", { x: "4", y: "4", width: "2", height: "9" }),
                React.createElement("path", { d: "M7,2H3A1,1,0,0,0,2,3V21a1,1,0,0,0,1,1H7a1,1,0,0,0,1-1V3A1,1,0,0,0,7,2ZM7,21H3V3H7Z" }),
                React.createElement("circle", { cx: "12", cy: "19", r: "1" }),
                React.createElement("rect", { x: "11", y: "4", width: "2", height: "9" }),
                React.createElement("path", { d: "M14,2H10A1,1,0,0,0,9,3V21a1,1,0,0,0,1,1h4a1,1,0,0,0,1-1V3A1,1,0,0,0,14,2Zm0,19H10V3h4Z" }),
                React.createElement("circle", { cx: "19", cy: "19", r: "1" }),
                React.createElement("rect", { x: "18", y: "4", width: "2", height: "9" }),
                React.createElement("path", { d: "M21,2H17a1,1,0,0,0-1,1V21a1,1,0,0,0,1,1h4a1,1,0,0,0,1-1V3A1,1,0,0,0,21,2Zm0,19H17V3h4Z" }))));
}
;
exports.default = EOS_PRODUCTS;
