"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_QR_CODE({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M3,11h8V3H3V11z M5,5h4v4H5V5z" }),
                React.createElement("path", { d: "M3,21h8v-8H3V21z M5,15h4v4H5V15z" }),
                React.createElement("path", { d: "M13,3v8h8V3H13z M19,9h-4V5h4V9z" }),
                React.createElement("rect", { height: "2", width: "2", x: "19", y: "19" }),
                React.createElement("rect", { height: "2", width: "2", x: "13", y: "13" }),
                React.createElement("rect", { height: "2", width: "2", x: "15", y: "15" }),
                React.createElement("rect", { height: "2", width: "2", x: "13", y: "17" }),
                React.createElement("rect", { height: "2", width: "2", x: "15", y: "19" }),
                React.createElement("rect", { height: "2", width: "2", x: "17", y: "17" }),
                React.createElement("rect", { height: "2", width: "2", x: "17", y: "13" }),
                React.createElement("rect", { height: "2", width: "2", x: "19", y: "15" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M3,11h8V3H3V11z M5,5h4v4H5V5z" }),
                React.createElement("path", { d: "M3,21h8v-8H3V21z M5,15h4v4H5V15z" }),
                React.createElement("path", { d: "M13,3v8h8V3H13z M19,9h-4V5h4V9z" }),
                React.createElement("rect", { height: "2", width: "2", x: "19", y: "19" }),
                React.createElement("rect", { height: "2", width: "2", x: "13", y: "13" }),
                React.createElement("rect", { height: "2", width: "2", x: "15", y: "15" }),
                React.createElement("rect", { height: "2", width: "2", x: "13", y: "17" }),
                React.createElement("rect", { height: "2", width: "2", x: "15", y: "19" }),
                React.createElement("rect", { height: "2", width: "2", x: "17", y: "17" }),
                React.createElement("rect", { height: "2", width: "2", x: "17", y: "13" }),
                React.createElement("rect", { height: "2", width: "2", x: "19", y: "15" }))));
}
;
exports.default = EOS_QR_CODE;
