"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_SYSTEM_OK({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled" }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M21.0038,2.00378h-18a2.00587,2.00587,0,0,0-2,2v12a2.00587,2.00587,0,0,0,2,2h7l-.00025,1.99957-1.99975.00043v2h8v-2h-2v-2h7a2.00592,2.00592,0,0,0,2-2v-12A2.00591,2.00591,0,0,0,21.0038,2.00378Zm-10.24829,11.667-.00031-.00031-.00018.00019L6.0052,8.92089,7.41939,7.50664l3.33587,3.33588,5.83515-5.83508,1.41418,1.41424Z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M6.0052,8.92089,7.41939,7.50664l3.33587,3.33588,5.83515-5.83508,1.41418,1.41424L10.7552,13.67046Z" }),
                React.createElement("path", { d: "M21,2H3A2.00587,2.00587,0,0,0,1,4l.0038,12.00378A1.99938,1.99938,0,0,0,3,18h7v2l-1.9962.00378L8,22h8l.0038-1.99622L14,20V18h7a2.00591,2.00591,0,0,0,2-2V4A2.00591,2.00591,0,0,0,21,2Zm0,14H3V4H21Z" }))));
}
;
exports.default = EOS_SYSTEM_OK;
