
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_ACTION_CHAINS({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><circle cx="20.01" cy="20.01" r="3"/><path d="M18,3H6.83a3,3,0,1,0,0,2H18a3,3,0,0,1,0,6H14.83a3,3,0,0,0-5.64,0H6A5,5,0,0,0,6,21h6v3l4-4-4-4v3H6a3,3,0,1,1,0-6H9.2a3,3,0,0,0,5.63,0H18A5,5,0,0,0,18,3Z"/></svg>

    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M18,3,6.83369,3.00076a3,3,0,1,0,0,1.99993L18,5a3,3,0,0,1,0,6l-3.16812.00047a2.99913,2.99913,0,0,0-5.63874,0L6,11A5,5,0,0,0,6,21h6v3l4-4-4-4v3H6a3,3,0,0,1,0-6l3.20315.0004a2.99917,2.99917,0,0,0,5.62873,0L18,13A5,5,0,0,0,18,3ZM4,5A1,1,0,1,1,5,4,1.0001,1.0001,0,0,1,4,5Zm8,8a1,1,0,1,1,1-1A1.0001,1.0001,0,0,1,12,13Z"/><path d="M20,17a3,3,0,1,0,3,3A3,3,0,0,0,20,17Zm0,4a1,1,0,1,1,1-1A1,1,0,0,1,20,21Z"/></svg>
    }
    </>
    );
};

export default EOS_ACTION_CHAINS;
