
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_ACTIVATE_SUBSCRIPTIONS({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><rect x="4" y="6" width="16" height="2"/><rect x="6" y="2" width="12" height="2"/><path d="M20,10H4a2,2,0,0,0-2,2v8a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V12A2,2,0,0,0,20,10Zm-5,7H13v2H11V17H9V15h2V13h2v2h2Z"/></svg>

    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><rect x="5.00373" y="5.99902" width="16" height="2"/><rect x="7.00373" y="2" width="12" height="2"/><path d="M20.99677,9.991H5.00323A2.008,2.008,0,0,0,3,12.0036v7.97479A2.00792,2.00792,0,0,0,5.00323,21.991H20.99677A2.008,2.008,0,0,0,23,19.97839V12.0036A2.008,2.008,0,0,0,20.99677,9.991ZM21,20H5V12H21Z"/><polygon points="12.004 18.991 14.004 18.991 14.004 17.002 16.004 17.002 16.004 14.998 14.004 14.998 14.004 12.991 12.004 12.991 12.004 15.001 10.004 15.001 10.004 17.002 12.004 17.002 12.004 18.991"/></svg>
    }
    </>
    );
};

export default EOS_ACTIVATE_SUBSCRIPTIONS;
