
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_APPLICATION_INCOMPLETE({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M1,3V5H23l.00008-2A2.00007,2.00007,0,0,0,21,1H3A2,2,0,0,0,1,3ZM4,4.00092a1,1,0,1,1,1-1A1,1,0,0,1,4,4.00092ZM7.00008,4a1,1,0,1,1,1-1A1.003,1.003,0,0,1,7.00008,4Z"/><path d="M1,6V20a1.99946,1.99946,0,0,0,2,2H21a1.99946,1.99946,0,0,0,2-2V6ZM12,19A5,5,0,0,1,12,9v5h5A5,5,0,0,1,12,19Z"/></svg>
    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M1,3V5H23l-.00908-1.99251A1.99986,1.99986,0,0,0,21,1H3A2.00118,2.00118,0,0,0,1,3ZM4,4A1,1,0,1,1,5,3,1.00056,1.00056,0,0,1,4,4ZM7,4A1,1,0,1,1,8,3,1.00355,1.00355,0,0,1,7,4Z"/><path d="M12,10a4,4,0,1,0,4,4H12Z"/><path d="M1,6V20a2.0006,2.0006,0,0,0,2,2H21a2.00068,2.00068,0,0,0,2-2V6ZM21,20H3V8H21Z"/></svg>
    }
    </>
    );
};

export default EOS_APPLICATION_INCOMPLETE;
