
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_BRANCH({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M21,5a3,3,0,1,0-4,2.81628V11H7V7.81628a3,3,0,1,0-2,0v8.36744a3,3,0,1,0,2,0V13H17a2,2,0,0,0,2-2V7.81628A2.99121,2.99121,0,0,0,21,5Z"/></svg>
    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M18,2a2.99289,2.99289,0,0,0-1,5.81628V11H7V7.81628a3,3,0,1,0-2,0v8.36744a3,3,0,1,0,2,0V13H17a2,2,0,0,0,2-2V7.81628A2.99289,2.99289,0,0,0,18,2ZM6,20a1,1,0,1,1,1-1A1,1,0,0,1,6,20ZM6,6A1,1,0,1,1,7,5,1,1,0,0,1,6,6ZM18,6a1,1,0,1,1,1-1A1,1,0,0,1,18,6Z"/></svg>
    }
    </>
    );
};

export default EOS_BRANCH;
