
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_CLUSTER_ROLE({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19,4H14.82A3,3,0,0,0,9.18,4H5A2,2,0,0,0,3,6V20a2,2,0,0,0,2,2H19a2,2,0,0,0,2-2V6A2,2,0,0,0,19,4ZM12,4a1,1,0,1,1-1,1A1,1,0,0,1,12,4Zm7,15H5V15H19Zm0-6H5V9H19Z"/><circle cx="17" cy="11" r="1"/><circle cx="14" cy="11" r="1"/><circle cx="14" cy="17" r="1"/><circle cx="17" cy="17" r="1"/><rect x="6" y="10" width="5" height="2"/><rect x="6" y="16" width="5" height="2"/></svg>

    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19,4H14.82A3,3,0,0,0,9.18,4H5A2,2,0,0,0,3,6V20a2,2,0,0,0,2,2H19a2,2,0,0,0,2-2V6A2,2,0,0,0,19,4ZM12,4a1,1,0,1,1-1,1A1,1,0,0,1,12,4Zm7,15H5V15H19Zm0-6H5V9H19Z"/><circle cx="17" cy="11" r="1"/><circle cx="14" cy="11" r="1"/><circle cx="14" cy="17" r="1"/><circle cx="17" cy="17" r="1"/><rect x="6" y="10" width="5" height="2"/><rect x="6" y="16" width="5" height="2"/></svg>

    }
    </>
    );
};

export default EOS_CLUSTER_ROLE;
