
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_COLLOCATION({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20,2H4A2,2,0,0,0,2,4V20a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V4A2,2,0,0,0,20,2Zm0,18H4V4H20Z"/><path d="M7.51,18A2.5,2.5,0,0,0,10,16h4.1a2.5,2.5,0,1,0,2.45-3h-.05L14.08,8.9a2.5,2.5,0,1,0-4.14,0L7.56,13h0a2.5,2.5,0,0,0,0,5Zm3.17-8.39a2.46,2.46,0,0,0,2.66,0l2.1,3.64A2.49,2.49,0,0,0,14.06,15H10a2.49,2.49,0,0,0-1.38-1.75Z"/></svg>

    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20,2H4A2,2,0,0,0,2,4V20a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V4A2,2,0,0,0,20,2Zm0,18H4V4H20Z"/><path d="M7.51,18A2.5,2.5,0,0,0,10,16h4.1a2.5,2.5,0,1,0,2.45-3h-.05L14.08,8.9a2.5,2.5,0,1,0-4.14,0L7.56,13h0a2.5,2.5,0,0,0,0,5Zm3.17-8.39a2.46,2.46,0,0,0,2.66,0l2.1,3.64A2.49,2.49,0,0,0,14.06,15H10a2.49,2.49,0,0,0-1.38-1.75Z"/></svg>

    }
    </>
    );
};

export default EOS_COLLOCATION;
