
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_CONTENT_LIFECYCLE_MANAGEMENT({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><rect x="6" y="7" width="8" height="2"/><rect x="6" y="11" width="12" height="2"/><rect x="6" y="15" width="2.99" height="2"/><path d="M14,3,11,0V2H4A2,2,0,0,0,2,4V20a2,2,0,0,0,2,2H8V20H4V4h7V6Z"/><path d="M10,21l3,3V22h7a2,2,0,0,0,2-2V4a2,2,0,0,0-2-2H16V4h4V20H13V18Z"/></svg>

    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><rect x="6" y="7" width="8" height="2"/><rect x="6" y="11" width="12" height="2"/><rect x="6" y="15" width="2.99" height="2"/><path d="M14,3,11,0V2H4A2,2,0,0,0,2,4V20a2,2,0,0,0,2,2H8V20H4V4h7V6Z"/><path d="M10,21l3,3V22h7a2,2,0,0,0,2-2V4a2,2,0,0,0-2-2H16V4h4V20H13V18Z"/></svg>

    }
    </>
    );
};

export default EOS_CONTENT_LIFECYCLE_MANAGEMENT;
