
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_CRONJOB({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
  <rect x="10.02112" y="1.02148" width="6" height="2"/>
  <path d="M20.04041,7.41l1.43371-1.43371L20.05994,4.56213,18.62671,5.99536A8.9886,8.9886,0,0,0,7.53113,5.88147l1.42,1.44a7.038,7.038,0,0,1,4.06-1.3l.01019.00049-.00049,6.97913L17.97394,17.96A7.0013,7.0013,0,0,1,6.01111,13.02148h3l-4-4-4,4h3A9,9,0,1,0,20.04041,7.41Z"/>
</svg>

    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
  <rect x="10.02112" y="1.02148" width="6" height="2"/>
  <path d="M20.04041,7.41l1.43371-1.43371L20.05994,4.56213,18.62671,5.99536A8.9886,8.9886,0,0,0,7.53113,5.88147l1.42,1.44a7.038,7.038,0,0,1,4.06-1.3l.01019.00049-.00049,6.97913L17.97394,17.96A7.0013,7.0013,0,0,1,6.01111,13.02148h3l-4-4-4,4h3A9,9,0,1,0,20.04041,7.41Z"/>
</svg>

    }
    </>
    );
};

export default EOS_CRONJOB;
