
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_DIFF_MODIFIED({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19.2,3H4.8A1.8,1.8,0,0,0,3,4.8V19.2A1.8,1.8,0,0,0,4.8,21H19.2A1.8,1.8,0,0,0,21,19.2V4.8A1.8,1.8,0,0,0,19.2,3ZM12,16a4,4,0,1,1,4-4A4,4,0,0,1,12,16Z"/></svg>
    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19.2,3H4.8A1.8,1.8,0,0,0,3,4.8V19.2A1.8,1.8,0,0,0,4.8,21H19.2A1.8,1.8,0,0,0,21,19.2V4.8A1.8,1.8,0,0,0,19.2,3ZM19,19H5V5H19Z"/><circle cx="12" cy="12" r="4"/></svg>
    }
    </>
    );
};

export default EOS_DIFF_MODIFIED;
