
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_DO_NOT_DISTURB_ALT({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M12 2C6.5 2 2 6.5 2 12s4.5 10 10 10 10-4.5 10-10S17.5 2 12 2zM4 12c0-4.4 3.6-8 8-8 1.8 0 3.5.6 4.9 1.7L5.7 16.9C4.6 15.5 4 13.8 4 12zm8 8c-1.8 0-3.5-.6-4.9-1.7L18.3 7.1C19.4 8.5 20 10.2 20 12c0 4.4-3.6 8-8 8z"/></svg>
    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M12,2C6.5,2,2,6.5,2,12s4.5,10,10,10s10-4.5,10-10S17.5,2,12,2z M4,12c0-4.4,3.6-8,8-8c1.8,0,3.5,0.6,4.9,1.7L5.7,16.9 C4.6,15.5,4,13.8,4,12z M12,20c-1.8,0-3.5-0.6-4.9-1.7L18.3,7.1C19.4,8.5,20,10.2,20,12C20,16.4,16.4,20,12,20z"/></svg>
    }
    </>
    );
};

export default EOS_DO_NOT_DISTURB_ALT;
