
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_ENDPOINTS({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><rect x="3.02" y="10.98" width="2" height="2"/><rect x="6.99" y="15.01" width="2" height="2"/><rect x="6.99" y="10.98" width="2" height="2"/><rect x="11" y="10.98" width="2" height="2"/><rect x="15.01" y="10.98" width="2" height="2"/><rect x="19.02" y="10.98" width="2" height="2"/><rect x="15.01" y="7.01" width="2" height="2"/><rect x="5.99" y="17.99" width="4" height="4"/><rect x="14.01" y="2.01" width="4" height="4"/></svg>

    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><rect x="3.02" y="10.98" width="2" height="2"/><rect x="6.99" y="15.01" width="2" height="2"/><rect x="6.99" y="10.98" width="2" height="2"/><rect x="11" y="10.98" width="2" height="2"/><rect x="15.01" y="10.98" width="2" height="2"/><rect x="19.02" y="10.98" width="2" height="2"/><rect x="15.01" y="7.01" width="2" height="2"/><rect x="5.99" y="17.99" width="4" height="4"/><rect x="14.01" y="2.01" width="4" height="4"/></svg>

    }
    </>
    );
};

export default EOS_ENDPOINTS;
