
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_FLASK({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} id="EOS_icon" data-name="EOS icon" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20.642,18.45209,19.73079,17h-.00116L15.00048,9.462V3H17.0006V1H6.9994V3H8.99964V9.462L4.27049,17H4.26921L3.358,18.45209A2.31666,2.31666,0,0,0,5.32067,22H18.67933A2.31666,2.31666,0,0,0,20.642,18.45209ZM13.00024,3v7l4.3737,7H6.62618l4.3737-7V3Z"/></svg>
    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} id="EOS_icon" data-name="EOS icon" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20.642,18.45209,19.73079,17h-.00116L15.00048,9.462V3H17.0006V1H6.9994V3H8.99964V9.462L4.27049,17H4.26921L3.358,18.45209A2.31666,2.31666,0,0,0,5.32067,22H18.67933A2.31666,2.31666,0,0,0,20.642,18.45209ZM13.00024,3v7l4.3737,7H6.62618l4.3737-7V3Z"/></svg>
    }
    </>
    );
};

export default EOS_FLASK;
