
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_PACKAGES({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><polygon points="20.04 6.01 4.04 6.01 4.04 8.01 7.53 8.01 20.04 8.01 20.04 6.01"/><polygon points="18.02 2.01 6.01 2.01 6.01 4.01 8.63 4.01 18.02 4.01 18.02 2.01"/><path d="M2,10v2H4v8a2,2,0,0,0,2,2H18a2,2,0,0,0,2-2V12h2V10Zm9,9H6V17h5Z"/></svg>

    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} id="Layer_1" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
  <rect x="4" y="6" width="16" height="2"/>
  <rect x="6" y="2" width="12" height="2"/>
  <path d="M2,10v2H4v8a2.00288,2.00288,0,0,0,2,2H18a2.00594,2.00594,0,0,0,2.00352-2L20,12h2V10ZM18,20H6V12H18Z"/>
  <rect x="8" y="17" width="4" height="2"/>
</svg>

    }
    </>
    );
};

export default EOS_PACKAGES;
