
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_POD({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M6,19.00284A1.99877,1.99877,0,0,0,8.00042,21h7.99916A1.99881,1.99881,0,0,0,18,19.00284V18H6Z"/><path d="M15,3.99178A.99485.99485,0,0,0,14.00213,3H9.99787A.99485.99485,0,0,0,9,3.99178V5h6Z"/><path d="M14.99334,6H8.99994L4,17H20ZM12.01,13.01a2,2,0,1,1,2-2A2,2,0,0,1,12.01,13.01Z"/></svg>

    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M15,4a1.00368,1.00368,0,0,0-1-1H10A1.00368,1.00368,0,0,0,9,4V5h6Z"/><path d="M13.7,8l3.2,7H7.1l3.18-7ZM15,6H9L4,17H20Z"/><circle cx="12" cy="11" r="1.5"/><path d="M16,18v1H8V18H6v1.00281A1.99841,1.99841,0,0,0,8,21h8a1.99845,1.99845,0,0,0,2-1.99719V18Z"/></svg>
    }
    </>
    );
};

export default EOS_POD;
