
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_REPOSITORIES({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><polygon points="8 23.01 10.5 21.51 13 23.01 13 19 8 19 8 23.01"/><rect x="8" y="5" width="2" height="2"/><rect x="8" y="10" width="2" height="2"/><rect x="8" y="15.01" width="2" height="2"/><path d="M18.36,1.05A1.47,1.47,0,0,0,18,1H6A2,2,0,0,0,4,3V19a2,2,0,0,0,2,2V3H18V19H15v2h3a2,2,0,0,0,2-2V3A2,2,0,0,0,18.36,1.05Z"/></svg>

    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><polygon points="8 23.01 10.5 21.51 13 23.01 13 19 8 19 8 23.01"/><rect x="8" y="5" width="2" height="2"/><rect x="8" y="10" width="2" height="2"/><rect x="8" y="15.01" width="2" height="2"/><path d="M18.36,1.05A1.47,1.47,0,0,0,18,1H6A2,2,0,0,0,4,3V19a2,2,0,0,0,2,2V3H18V19H15v2h3a2,2,0,0,0,2-2V3A2,2,0,0,0,18.36,1.05Z"/></svg>

    }
    </>
    );
};

export default EOS_REPOSITORIES;
