
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_SNAPSHOT_ROLLBACK({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M4,2A2,2,0,0,0,2,4H2V8H4V4H8V2Z"/><path d="M16,2V4h4V8h2V4h0a2,2,0,0,0-2-2Z"/><path d="M16,22V20h4V16h2v4h0a2,2,0,0,1-2,2Z"/><path d="M4,20V16H2v4H2a2,2,0,0,0,2,2H8V20Z"/><path d="M12.37,9.52A6,6,0,0,0,8,11.45L6,9.5v5h5l-2-2A4.48,4.48,0,0,1,16.6,14h0L18,13.56A6,6,0,0,0,12.37,9.52Z"/></svg>

    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M4,2A2,2,0,0,0,2,4H2V8H4V4H8V2Z"/><path d="M16,2V4h4V8h2V4h0a2,2,0,0,0-2-2Z"/><path d="M16,22V20h4V16h2v4h0a2,2,0,0,1-2,2Z"/><path d="M4,20V16H2v4H2a2,2,0,0,0,2,2H8V20Z"/><path d="M12.37,9.52A6,6,0,0,0,8,11.45L6,9.5v5h5l-2-2A4.48,4.48,0,0,1,16.6,14h0L18,13.56A6,6,0,0,0,12.37,9.52Z"/></svg>

    }
    </>
    );
};

export default EOS_SNAPSHOT_ROLLBACK;
