
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_STATE({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M10,6V18h5V6Zm4,7H11V7h3ZM19,1H6A2.00067,2.00067,0,0,0,4,3V21a2.005,2.005,0,0,0,2,2H19a2,2,0,0,0,2-2V3A2.00588,2.00588,0,0,0,19,1Zm0,20H6V3H19Z"/></svg>

    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M10,6V18h5V6Zm4,7H11V7h3ZM19,1H6A2.00067,2.00067,0,0,0,4,3V21a2.005,2.005,0,0,0,2,2H19a2,2,0,0,0,2-2V3A2.00588,2.00588,0,0,0,19,1Zm0,20H6V3H19Z"/></svg>

    }
    </>
    );
};

export default EOS_STATE;
