
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_SUBSCRIPTIONS_CREATED({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><rect x="4.01" y="6.01" width="16" height="2"/><rect x="6.01" y="2.01" width="12" height="2"/><path d="M20,10H4a2,2,0,0,0-2,2v8a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V12A2,2,0,0,0,20,10Zm-9.7,10L7,16.76l1.4-1.4,1.9,1.9,5.3-5.3,1.4,1.4Z"/></svg>

    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20,8H4V6H20ZM18,2H6V4H18Z"/><path d="M10.31183,21.1l-3.3-3.3,1.4-1.4,1.9,1.9,5.3-5.3,1.4,1.4Z"/><path d="M22,10H2a2,2,0,0,0-2,2V22a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V12A2,2,0,0,0,22,10Zm0,12H2V12H22Z"/></svg>
    }
    </>
    );
};

export default EOS_SUBSCRIPTIONS_CREATED;
