
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_SWAP_VERT({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M16 17.01V10h-2v7.01h-3L15 21l4-3.99h-3zM9 3L5 6.99h3V14h2V6.99h3L9 3z"/></svg>
    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M16 17.01V10h-2v7.01h-3L15 21l4-3.99h-3zM9 3L5 6.99h3V14h2V6.99h3L9 3z"/></svg>
    }
    </>
    );
};

export default EOS_SWAP_VERT;
