
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_SYSTEM_GROUP({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M17,1H3A2,2,0,0,0,1,3H1v9H3V3H17Z"/><path d="M21,5H7A2,2,0,0,0,5,7V17a2,2,0,0,0,2,2h5.53v1.53H11V22h6V20.52H15.48V19H21a2,2,0,0,0,2-2V7A2,2,0,0,0,21,5Zm0,12H7V7H21Z"/></svg>

    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M17,1H3A2,2,0,0,0,1,3H1v9H3V3H17Z"/><path d="M21,5H7A2,2,0,0,0,5,7V17a2,2,0,0,0,2,2h5.53v1.53H11V22h6V20.52H15.48V19H21a2,2,0,0,0,2-2V7A2,2,0,0,0,21,5Zm0,12H7V7H21Z"/></svg>

    }
    </>
    );
};

export default EOS_SYSTEM_GROUP;
