
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconCommonProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_TERMINAL({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled"}: IconCommonProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <>
    {
        (theme === "filled") &&
        // Filled version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20,5H4A2.00587,2.00587,0,0,0,2,7V17a2.00591,2.00591,0,0,0,2,2H20a2.00591,2.00591,0,0,0,2-2V7A2.00587,2.00587,0,0,0,20,5ZM6,17,4.59229,15.58771,8.17,12,4.59387,8.41388,6,7l5,5Zm13,0H12V15h7Z"/></svg>

    }
    {
        (theme === "outlined") &&
        // Outlined version
        <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><rect x="12" y="15" width="7" height="2"/><polygon points="4.594 8.414 8.17 12 4.592 15.588 6 17 11 12 6 7 4.594 8.414"/><path d="M22,3H2A2,2,0,0,0,0,5V19a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V5A2,2,0,0,0,22,3Zm0,16H2V5H22Z"/></svg>
    }
    </>
    );
};

export default EOS_TERMINAL;
