
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_TYPING_ANIMATED({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false}: IconProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" >
<path d="M20 2H4c-1.1 0-2 .9-2 2v18l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm0 14H6l-2 2V4h16v12z"/>
<circle cx="16" cy="10" r="0">
<animate attributeName="r" values="0;1.75;0;0" dur="1.5s" repeatCount="indefinite" begin="0.67" keySplines="0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8" calcMode="spline"/>
</circle>
<circle cx="12" cy="10" r="0">
<animate attributeName="r" values="0;1.75;0;0" dur="1.5s" repeatCount="indefinite" begin="0.33" keySplines="0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8" calcMode="spline"/>
</circle>
<circle cx="8" cy="10" r="0">
<animate attributeName="r" values="0;1.75;0;0" dur="1.5s" repeatCount="indefinite" begin="0" keySplines="0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8;0.2 0.2 0.4 0.8" calcMode="spline"/>
</circle>
</svg>
    );
};

export default EOS_TYPING_ANIMATED;
