
// GENERATED BY ./scripts/iconScript.ts

import * as React from 'react';
import { IconProps, valuesMap } from '../helper';
import { flipFunction } from '../flipFunction';

function EOS_VOLUME_FILLED({size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false}: IconProps) {
    const sizeString: string = size.toString()
    if(Object.keys(valuesMap).includes(sizeString)) {
        size = valuesMap[size]
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction({horizontalFlip,verticalFlip})
return (
    <svg data-testid="eos-svg-component" transform={`rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`} fill={color} width={size} height={size} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
  <path d="M17,2H7A2.00073,2.00073,0,0,0,5,4V20a2.00073,2.00073,0,0,0,2,2H17a2.00073,2.00073,0,0,0,2-2V4A2.00073,2.00073,0,0,0,17,2ZM7,3A1,1,0,1,1,6,4,1,1,0,0,1,7,3ZM7,21a1,1,0,1,1,1-1A1,1,0,0,1,7,21Zm5-7a4.97274,4.97274,0,0,1-2-.42212V11H7.42212A4.99716,4.99716,0,1,1,12,14Zm5,7a1,1,0,1,1,1-1A1,1,0,0,1,17,21ZM17,5a1,1,0,1,1,1-1A1,1,0,0,1,17,5Z"/>
  <circle cx="12" cy="9" r="2"/>
</svg>

    );
};

export default EOS_VOLUME_FILLED;
